summaryrefslogtreecommitdiff
path: root/social
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-04-01 15:48:10 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-04-01 15:48:10 -0300
commit1cc2eb8745e939b8b1871090ac0131af4ef74993 (patch)
tree7cff540e4e1bad0826c0ff76da6cc3d7ac078b66 /social
parent14b5951cc10fa36bc2934a9e613732b5ee9af0c0 (diff)
downloadabslibre-1cc2eb8745e939b8b1871090ac0131af4ef74993.tar.gz
abslibre-1cc2eb8745e939b8b1871090ac0131af4ef74993.tar.bz2
abslibre-1cc2eb8745e939b8b1871090ac0131af4ef74993.zip
monkeysphere-0.35-1
Diffstat (limited to 'social')
-rw-r--r--social/liblockfile/PKGBUILD30
-rw-r--r--social/lockfile-progs/PKGBUILD2
-rw-r--r--social/monkeysphere/PKGBUILD3
3 files changed, 32 insertions, 3 deletions
diff --git a/social/liblockfile/PKGBUILD b/social/liblockfile/PKGBUILD
new file mode 100644
index 000000000..e3428763c
--- /dev/null
+++ b/social/liblockfile/PKGBUILD
@@ -0,0 +1,30 @@
+# Contributor: Andreas Wagner <Andreas dot Wagner at em dot uni-frankfurt dot de>
+
+pkgname=liblockfile
+pkgver=1.08_4
+pkgrel=1
+pkgdesc="a library with NFS-safe locking functions"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://packages.debian.org/unstable/libs/liblockfile1"
+depends=('glibc')
+makedepends=()
+source=(http://ftp.debian.org/debian/pool/main/libl/$pkgname/${pkgname}_1.08.orig.tar.gz
+ http://ftp.debian.org/debian/pool/main/libl/$pkgname/${pkgname}_${pkgver/_/-}.debian.tar.bz2)
+
+build() {
+ cd $startdir/src/$pkgname-1.08
+
+ for p in `cat ../debian/patches/series` ; do
+ patch -p1 < ../debian/patches/$p
+ done
+
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+
+ mkdir -p $startdir/pkg/usr/{lib,bin,include,share/man/man1,share/man/man3}
+ make install prefix=$startdir/pkg/usr mandir=$startdir/pkg/usr/share/man || return 1
+}
+
+md5sums=('c24e2dfb4a2aab0263fe5ac1564d305e'
+ '50c0c049d2838704f5720f5fd9eaddac')
diff --git a/social/lockfile-progs/PKGBUILD b/social/lockfile-progs/PKGBUILD
index 3fced1597..57d833952 100644
--- a/social/lockfile-progs/PKGBUILD
+++ b/social/lockfile-progs/PKGBUILD
@@ -8,7 +8,7 @@ arch=('i686' 'x86_64')
license=('GPL')
url="http://packages.debian.org/unstable/misc/lockfile-progs"
depends=('glibc')
-makedepends=('gcc' 'make' 'liblockfile')
+makedepends=('liblockfile')
source=(http://ftp.debian.org/debian/pool/main/l/lockfile-progs/${pkgname}_${pkgver}.tar.gz)
build() {
diff --git a/social/monkeysphere/PKGBUILD b/social/monkeysphere/PKGBUILD
index 33c1bcf1b..c804b8409 100644
--- a/social/monkeysphere/PKGBUILD
+++ b/social/monkeysphere/PKGBUILD
@@ -12,6 +12,7 @@ license=('GPL3')
depends=('gnupg' 'lockfile-progs' 'perl-crypt-openssl-rsa' 'perl-digest-sha1')
source=(http://archive.monkeysphere.info/debian/pool/${pkgname}/m/${pkgname}/${pkgname}_${pkgver}.orig.tar.gz)
install=monkeysphere.install
+md5sums=('481ac14c9fdef0ccd1944c593bd4f517')
build() {
cd "$srcdir/$pkgname-$pkgver"
@@ -19,5 +20,3 @@ build() {
make DESTDIR="$pkgdir/" install
mkdir -p $pkgdir/var/lib/monkeysphere
}
-md5sums=()
-md5sums=('481ac14c9fdef0ccd1944c593bd4f517')